V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Recommended Services
Amazon Web Services
LeanCloud
New Relic
ClearDB
Hyvi
V2EX  ›  云计算

为什么阿里云、aws 需要这么频繁的升级数据库的版本

  •  
  •   Hyvi · 59 天前 · 5540 次点击
    这是一个创建于 59 天前的主题,其中的信息可能已经有所发展或是发生改变。

    几乎每年需要升级数据库。每次变更还需要中断服务(不中断的服务的成本不小,微服务太多了。)

    不变更的话,aws 会自动强制升级。

    38 条回复    2024-04-25 11:42:36 +08:00
    sakilascott
        1
    sakilascott  
       59 天前   ❤️ 1
    可能是修复安全漏洞
    weijancc
        2
    weijancc  
       59 天前
    还有这种操作啊.. 第一次知道, 我都是在 vps 创建数据库服务, 够用了.
    northbrunv
        3
    northbrunv  
       59 天前 via Android
    自建数据库不香吗,云数据库一堆坑
    adoal
        4
    adoal  
       59 天前   ❤️ 1
    强制升级的基本上都是数据库上游软件 security advisor 里标记的严重安全问题。
    geekvcn
        5
    geekvcn  
       59 天前   ❤️ 16
    数据库说白了是关键软件系统,稳定,安全,性能缺一不可,所以注定是一个得持续优化的项目。当然你在这里问可能会觉得云服务商瞎折腾,毕竟这里很多人把 Centos7 奉为神,他们的核心理念就是能跑就行,崩了或者出了安全问题再说。
    FishBear
        6
    FishBear  
       59 天前
    因为统一维护啊 你一个客户一个版本 他们没办法自动化 碎片带来的问题更麻烦 耗费人工
    codegenerator
        7
    codegenerator  
       59 天前
    统一版本好维护,很多 bug 和优化等着一起升级一次
    云就是效率工具
    hancai2
        8
    hancai2  
       59 天前
    我记得都是不中断的
    hellolinuxer
        9
    hellolinuxer  
       59 天前
    业务中断是不是你没有使用高可用模式
    ivmm
        10
    ivmm  
       59 天前   ❤️ 2
    数据库高危漏洞不修复,以后出事了我猜标题会不会是:

    我用 AWS/阿里云/华为云的云数据库,现在存在安全问题导致数据泄漏了。
    BeautifulSoap
        11
    BeautifulSoap  
       58 天前 via Android
    虽然但是 aws 的 aurora rds 是支持的 Zero-downtime patching (ZDP)的
    securityCoding
        12
    securityCoding  
       58 天前 via Android
    版本不升就会碎片化
    dynastysea
        13
    dynastysea  
       58 天前
    不知道你说的是哪个数据库,我就是搞数据库的啊,没听说要频繁升级的。所有升级都需要客户同意的啊,哪里敢强制。有些客户还在用几年前的版本,有时候我们也想让他们升级,性能更好,但客户就是不愿意啊。极少有你说的这种逼客户升级的情况
    Mrun
        14
    Mrun  
       58 天前
    在大部分公司,Java8 就是神,大部分所谓的技术人员,本身也就是个混日子的
    banzige
        15
    banzige  
       58 天前
    大家都这么乐观么。刚完成几十个服务的 AWS RDS MySQL5.7 升 8.0 ,太折腾了。强制你升级,不升级费用高不少。本来使用云服务想省心,结果推着你升级。EKS 也是,基本 1-2 年升一个版本。
    Ansen
        16
    Ansen  
       58 天前 via iPhone
    aws 不升级的话,要给几百刀的管理费,别问我怎么知道
    Ansen
        17
    Ansen  
       58 天前 via iPhone
    @Ansen 按月
    bookcat
        18
    bookcat  
       58 天前
    @Ansen #16 我这边已经给了上万刀的扩展支持费用了
    bookcat
        19
    bookcat  
       58 天前
    @Ansen #16 下一步,实在不能升的,给迁到 ec2 上
    nothingistrue
        20
    nothingistrue  
       58 天前
    现在打印机这种基本纯硬件,惠普都能让你买变租。云服务这种纯纯的租借服务,人家怎么更新,跟你真得屁关系没有(当然最终要看租借协议)。

    云服务自身更新,那就是单纯的自己更新,(除了标准接口外)不用管下游会不会出问题,不用管上游会不会使绊子,毫无更新的负面作用,这个时候那自然是第一时间更新。这跟 Windows 、Java 的更新,虽然都叫做更新,但是是两码事。
    totoro52
        21
    totoro52  
       58 天前
    @northbrunv 如果你用他们的服务器,配合他们的数据库就很舒服, 不知道你说的坑在哪里,我用阿里云的就很舒服,动态扩容,流量多的时候它会自动扩容,流量少了就缩回去,还有慢查询分析,一键添加索引,各种运维功能,自动备份多地容灾等等,你自建的能满足这些要求吗
    keshawnvan
        22
    keshawnvan  
       58 天前
    阿里云的数据库升级版本一般闪断不超过一分钟吧,业务低峰期变更还好。
    zxzflower
        23
    zxzflower  
       58 天前
    @banzige 我们的生产 EKS 每年都要折腾一次 eks 升级 麻烦得要死 老板怕原地升级出问题 必须搞老旧集群迁移 贼费劲
    ashuai
        24
    ashuai  
       58 天前
    @dynastysea #13 你哪个云的?升不动,根本升不动?有个老项目的人离职了,我看他 1c4g 的数据库又老又贵,买了个 200 多一年的 2c4g 数据库想给他迁过去用,发现他的应用不支持 mysql8.0
    salmon5
        25
    salmon5  
       58 天前
    AWS 的 RDS ( MySQL )就是渣渣,默认参数没有优化,无法开箱即用。不如国内的任何一家云厂商,更别说阿里云。
    salmon5
        26
    salmon5  
       58 天前
    并且高昂的扩展费。(国内的云都是免费)
    salmon5
        27
    salmon5  
       58 天前
    AWS RDS ( MySQL )单可用区 5.7.42--->5.7.44:中断 2 分 20 秒;
    system-update:系统升级中断:3 分 10 秒。
    技术有点落后,即使是单可用区版本,应该控制在 30S 以内。
    salmon5
        28
    salmon5  
       58 天前
    EKS 升级时间更是漫长,小版本升级小时级,1 年 4 个版本,升级 4 次;
    国内的云都是可以合并升级。这点也是 AWS 不能比的。
    janus77
        29
    janus77  
       58 天前
    我搞明白了,根据帖子里几个人的说法,强制的意思就是换了机器不能用老版本了,或者老版本价格贵所以逼着你用老版本。。。。
    那这种情况确实帖子里也解释了,老旧版本属于碎片化维护的一部分,成本高,所以价格贵也是正常操作
    至于跨 n 个大版本升级的,那我只能说你要么不适合上云,要么不舍得花钱
    salmon5
        30
    salmon5  
       58 天前
    @janus77 #28 纸上谈兵
    AWS 和阿里云比,我仿佛看到 AWS 工程师懒洋洋的样子,总是把复杂的留给用户。
    chenqh
        31
    chenqh  
       58 天前
    怎么感觉云服务器一股子谷歌的味道
    CloveAndCurrant
        32
    CloveAndCurrant  
       58 天前
    AWS 不但强制升级数据库版本,还要强制服务器定时重启打补丁,对的你没看错,AWS 打补丁还必须重启服务器。至少我们这边是这样的,不知道其他人有遇到没?用起来真麻烦。
    salmon5
        33
    salmon5  
       58 天前
    @CloveAndCurrant #31 你用的是 Amazon Linux 2023 AMI 或 Amazon Linux 2 AMI 吗?
    EC2 的系统这种问题,还没碰到过。
    salmon5
        34
    salmon5  
       58 天前
    RDS ( MySQL )之前邮件,说是强制升级; EKS 也是,邮件说是强制升级。EC2 倒是没有强制升级,而是提前通知重启。
    CloveAndCurrant
        35
    CloveAndCurrant  
       58 天前
    @salmon5 用的是 Amazon Linux 2 AMI ,恶习的一批。
    buchikoma
        36
    buchikoma  
       58 天前
    利益相关。
    因为云数据库分管控面和数据面,也就是平台和内核,各大云厂商即使是社区版数据库,内核也会在基础上继续迭代升级,支持很多私有的新特性,包括但不限于更多的内核参数指标\性能优化。

    管控面很多新增的功能也依赖于这些新版本内核,例如上面有人提到的弹性扩容、限流、索引优化,所以厂商会让 SA 去推用户升级内核版本,也减少因为内核版本不同导致管控面支持功能不一致的问题。
    qq135449773
        37
    qq135449773  
       57 天前
    @geekvcn #5 这句“毕竟这里很多人把 Centos7 奉为神”说到我心坎里了,总结的太到位了
    zqfxch
        38
    zqfxch  
       55 天前
    云是付费服务,云服务商要为所有软硬件及配套服务兜底。
    云服务依赖的数据库底层软件版本升级了,肯定是有理由的,比如特性增加,性能提升,漏洞修补等。
    云服务商必须要跟进这个版本升级,否则就是竞争力丧失,或者出了安全问题要背锅。
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   2914 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 27ms · UTC 13:55 · PVG 21:55 · LAX 06:55 · JFK 09:55
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.